Subject: [Tsvwg] Re: Limited Slow-Start for TCP with Large Congestion Windows

From: Sally Floyd <[email-masked]>
Date: Fri, 19 Jul 2002 23:27:05 -0700

Reiner -

> From own experience, I'm convinced that the per-route metrics implemented 
>in BSD4.4-Lite (see Stevens Vol.2) is an extremely elegant solution to the 
>slow start overshoot problem: A TCP that terminates stores its ssthresh in 
>the per-route metrics, and subsequent TCPs going via the same (explicit) 
>route initialize their ssthresh from there. Those were early attempts of a 
>congestion manager ...

Good point, I would be happy to cite it in the draft on Limited
Slow-Start.  My understanding is that TCP connections are free to
set their initial ssthresh to anything that they would like.

I would note that Limited Slow-Start is somewhat more powerful in
that the TCP sender does not go to congestion avoidance after the
initial max_ssthresh is exceeded, but instead goes to a limited
slow-start, opening the congestion window by at most max_ssthresh/2
pkts per RTT.

- Sally

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg